StringUtils.TraditionalBinaryPrefix (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.util
Enum StringUtils.TraditionalBinaryPrefix

    java.lang.Object
      java.lang.Enum<StringUtils.TraditionalBinaryPrefix>
          org.apache.hadoop.util.StringUtils.TraditionalBinaryPrefix

All Implemented Interfaces:
  Serializable, Comparable<StringUtils.TraditionalBinaryPrefix>

Enclosing class:
  StringUtils

    public static enum StringUtils.TraditionalBinaryPrefix

extends Enum<StringUtils.TraditionalBinaryPrefix>

The traditional binary prefixes, kilo, mega, ..., exa, which can be represented by a 64-bit integer. TraditionalBinaryPrefix symbol are case insensitive.

Enum Constant Summary
`EXA`
`GIGA`
`KILO`
`MEGA`
`PETA`
`TERA`

Field Summary
`char` | `symbol`
`long` | `value`

Method Summary
`static long` | `string2long(String s)` Convert a string to long.
`static StringUtils.TraditionalBinaryPrefix` | `valueOf(char symbol)`
`static StringUtils.TraditionalBinaryPrefix` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StringUtils.TraditionalBinaryPrefix[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KILO

    public static final StringUtils.TraditionalBinaryPrefix KILO

### MEGA

    public static final StringUtils.TraditionalBinaryPrefix MEGA

### GIGA

    public static final StringUtils.TraditionalBinaryPrefix GIGA

### TERA

    public static final StringUtils.TraditionalBinaryPrefix TERA

### PETA

    public static final StringUtils.TraditionalBinaryPrefix PETA

### EXA

    public static final StringUtils.TraditionalBinaryPrefix EXA

Field Detail

### value

    public final long value

### symbol

    public final char symbol

Method Detail

### values

    public static StringUtils.TraditionalBinaryPrefix[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StringUtils.TraditionalBinaryPrefix c : StringUtils.TraditionalBinaryPrefix.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StringUtils.TraditionalBinaryPrefix valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static StringUtils.TraditionalBinaryPrefix valueOf(char symbol)

  Returns:
    The TraditionalBinaryPrefix object corresponding to the symbol.

### string2long

    public static long string2long(String s)

  Convert a string to long. The input string is first be trimmed and then it is parsed with traditional binary prefix. For example, "-1230k" will be converted to -1230 * 1024 = -1259520; "891g" will be converted to 891 * 1024^3 = 956703965184;

  Parameters:
    `s` - input string
  Returns:
    a long value represented by the input string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation